Issue 41096

Summary: Better Access Rights management for OOo Files
Product: General Reporter: mkol <m_kolman2>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description mkol 2005-01-21 14:31:06 UTC
Presently OOo documents can be password protected but there is no way to 
enforce document restrictions, similar to those offered by PDF files. Like -

Document printing
Content copying
Comment writing
Form filling
Document signing etc.

In other words, what other users can or cannot do with a document.

MSO has also started offering this kind of functionality. Is it possible for 
OOo to move in this direction?
Comment 1 michael.ruess 2005-01-21 15:04:29 UTC
reassigned to requirements
Comment 2 mkol 2005-02-02 18:31:16 UTC
*Restricted* OOo Files (As of now Hypothetical) must *Not* be openable in 
other applications, as it can easily circumvent proposed Restrictions/Access 
Rights.
Comment 3 mkol 2005-02-08 02:21:57 UTC
OOo is an Open source Project/Product. What if users change the source code 
and create their own versions of OOo, which do not follow the proposed Access 
Rights/Restrictions?
Comment 4 ace_dent 2008-05-16 00:38:44 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html